## CamelLocalFolder

CamelLocalFolder

## Functions

CamelLocalFolder * | camel_local_folder_construct ()
gboolean | camel_local_folder_get_index_body ()
void | camel_local_folder_set_index_body ()
gint | camel_local_folder_lock ()
gint | camel_local_folder_unlock ()
void | set_cannot_get_message_ex ()

## Properties

gboolean | index-body | Read / Write

## Types and Values

struct | CamelLocalFolder

## Object Hierarchy

        GObject
        ╰── CamelObject
            ╰── CamelFolder
                ╰── CamelLocalFolder
                    ├── CamelMaildirFolder
                    ├── CamelMboxFolder
                    ╰── CamelMhFolder

## Description

## Functions

### camel_local_folder_construct ()

    CamelLocalFolder *
    camel_local_folder_construct (CamelLocalFolder *local_folder,
                                  guint32 flags,
                                  GCancellable *cancellable,
                                  GError **error);

### camel_local_folder_get_index_body ()

    gboolean
    camel_local_folder_get_index_body (CamelLocalFolder *local_folder);

### camel_local_folder_set_index_body ()

    void
    camel_local_folder_set_index_body (CamelLocalFolder *local_folder,
                                       gboolean index_body);

### camel_local_folder_lock ()

    gint
    camel_local_folder_lock (CamelLocalFolder *local_folder,
                             CamelLockType type,
                             GError **error);

### camel_local_folder_unlock ()

    gint
    camel_local_folder_unlock (CamelLocalFolder *local_folder);

### set_cannot_get_message_ex ()

    void
    set_cannot_get_message_ex (GError **error,
                               gint err_code,
                               const gchar *msgID,
                               const gchar *folder_path,
                               const gchar *detailErr);

## Types and Values

### struct CamelLocalFolder

    struct CamelLocalFolder;

## Property Details

### The `“index-body”` property

      “index-body”               gboolean

_Index message body data.

Flags: Read / Write

Default value: FALSE